primitive-0.5.0.1: Primitive memory-related operations

Portability | non-portable
Maintainer | Roman Leshchinskiy <rl@cse.unsw.edu.au>
Safe Haskell | None

Data.Primitive

Description

Reexports all primitive operations

Synopsis

- module Data.Primitive.Types
- module Data.Primitive.Array
- module Data.Primitive.ByteArray
- module Data.Primitive.Addr
- sizeOf :: Prim a => a -> Int
- alignment :: Prim a => a -> Int

# Documentation

module Data.Primitive.Types

module Data.Primitive.Array

module Data.Primitive.ByteArray

module Data.Primitive.Addr

sizeOf :: Prim a => a -> Int Source

Size of values of type `a`. The argument is not used.

alignment :: Prim a => a -> Int Source

Alignment of values of type `a`. The argument is not used.